Bug 1880101 (CVE-2020-13920) - CVE-2020-13920 activemq: improper authentication allows MITM attack
Summary: CVE-2020-13920 activemq: improper authentication allows MITM attack
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-13920
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1880102
TreeView+ depends on / blocked
 
Reported: 2020-09-17 16:59 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-08-18 09:54 UTC (History)
72 users (show)

Fixed In Version: Apache ActiveMQ 5.15.12
Doc Type: If docs needed, set a value
Doc Text:
Apache ActiveMQ uses LocateRegistry.createRegistry() to create the JMX RMI registry and binds the server to the "jmxrmi" entry. It is possible to connect to the registry without authentication and call the rebind method to rebind jmxrmi to something else. If an attacker creates another server to proxy the original, and bound that, he effectively becomes a man in the middle and is able to intercept the credentials when an user connects.
Clone Of:
Environment:
Last Closed: 2021-08-11 19:28:26 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:3140 0 None None None 2021-08-11 18:26:16 UTC
Red Hat Product Errata RHSA-2021:3205 0 None None None 2021-08-18 09:13:27 UTC
Red Hat Product Errata RHSA-2021:3207 0 None None None 2021-08-18 09:54:50 UTC

Description Guilherme de Almeida Suckevicz 2020-09-17 16:59:20 UTC
Apache ActiveMQ uses LocateRegistry.createRegistry() to create the JMX RMI registry and binds the server to the "jmxrmi" entry. It is possible to connect to the registry without authentication and call the rebind method to rebind jmxrmi to something else. If an attacker creates another server to proxy the original, and bound that, he effectively becomes a man in the middle and is able to intercept the credentials when an user connects. Upgrade to Apache ActiveMQ 5.15.12.

Reference:
http://activemq.apache.org/security-advisories.data/CVE-2020-13920-announcement.txt

Comment 15 errata-xmlrpc 2021-08-11 18:26:12 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.9

Via RHSA-2021:3140 https://access.redhat.com/errata/RHSA-2021:3140

Comment 16 Product Security DevOps Team 2021-08-11 19:28:26 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-13920

Comment 17 errata-xmlrpc 2021-08-18 09:13:24 UTC
This issue has been addressed in the following products:

  Red Hat Integration

Via RHSA-2021:3205 https://access.redhat.com/errata/RHSA-2021:3205

Comment 18 errata-xmlrpc 2021-08-18 09:54:46 UTC
This issue has been addressed in the following products:

  Red Hat Integration

Via RHSA-2021:3207 https://access.redhat.com/errata/RHSA-2021:3207


Note You need to log in before you can comment on or make changes to this bug.